summaryrefslogtreecommitdiff
path: root/pcr/tinc/tincd.rcd
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2014-08-27 06:05:47 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2014-08-27 06:05:47 -0300
commitd73f07b0acf8bae623e1e112a7cb3744a84a92ee (patch)
tree87a2b353ea5229bbe309ea9db9d43bf24e2a6fd8 /pcr/tinc/tincd.rcd
parentc001329b017288676a28aa6078bf16ad42e318e9 (diff)
parent0ff008e3c9dcc5ef088f481dfff3dcd121575598 (diff)
downloadabslibre-d73f07b0acf8bae623e1e112a7cb3744a84a92ee.tar.gz
abslibre-d73f07b0acf8bae623e1e112a7cb3744a84a92ee.tar.bz2
abslibre-d73f07b0acf8bae623e1e112a7cb3744a84a92ee.zip
Merge branch 'master' of ssh://lukeshu.com:1863/srv/git/mirror/parabola/abslibre
Diffstat (limited to 'pcr/tinc/tincd.rcd')
-rw-r--r--pcr/tinc/tincd.rcd48
1 files changed, 48 insertions, 0 deletions
diff --git a/pcr/tinc/tincd.rcd b/pcr/tinc/tincd.rcd
new file mode 100644
index 000000000..16f39f8ca
--- /dev/null
+++ b/pcr/tinc/tincd.rcd
@@ -0,0 +1,48 @@
+#!/bin/bash
+
+daemon_name=tincd
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+. /etc/conf.d/${daemon_name}.conf
+
+PIDFILE=/var/run/tinc.${NETNAME}
+[ -f "${PIDFILE}" ] && PID=$(<${PIDFILE})
+
+case "$1" in
+ start)
+ stat_busy "Starting ${daemon_name}"
+ [ -z "$PID" ] && \
+ /usr/sbin/tincd -n ${NETNAME} \
+ ${OPTIONS} \
+ --pidfile=${PIDFILE} &> /dev/null
+
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon ${daemon_name}
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping ${daemon_name}"
+ [ ! -z "$PID" ] && /usr/sbin/tincd -n ${NETNAME} -k
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon ${daemon_name}
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ reload)
+ [ ! -z "$PID" ] && /usr/sbin/tincd -n ${NETNAME} -k HUP
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|reload}"
+esac
+exit 0